All Classes Namespaces Functions Variables Pages
Residue Class Reference

A Residue object represents a residue within a Topology. More...

Inheritance diagram for Residue:

## Public Member Functions

def | __init__
| Construct a new Residue. More...
def | atoms
| Iterate over all Atoms in the Residue. More...

## Public Attributes

| name
| The name of the Residue. More...
| index
| The index of the Residue within its Topology. More...
| chain
| The Chain this Residue belongs to. More...

## Detailed Description

A Residue object represents a residue within a Topology.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | index,
|  |  | chain
| ) |  |

Construct a new Residue.

You should call addResidue() on the Topology instead of calling this directly.

## Member Function Documentation

def atoms | ( |  | self | ) |

Iterate over all Atoms in the Residue.

References Residue._atoms.

Referenced by ForceField.registerScript().

## Member Data Documentation

chain

The Chain this Residue belongs to.

index

The index of the Residue within its Topology.

Referenced by ForceField.registerScript().

name

The name of the Residue.

Referenced by Element.__repr__(), Element.__str__(), Modeller.addSolvent(), and ForceField.registerScript().

The documentation for this class was generated from the following file:

- topology.py